ggiSetPalette(3)

NAME
ggiSetPalette, ggiGetPalette : Manipulate the palette of a visual

SYNOPSIS
#include <ggi/ggi.h> int ggiSetPalette(ggi_visual_t vis, int s, int len, ggi_color *cmap); int ggiGetPalette(ggi_visual_t vis, int s, int len, ggi_color *cmap);

DESCRIPTION
LibGGI visuals in GT_PALETTE mode maps all pixelvalues to the corresponding ggi_color entry in the visual's palette. ggiSetPalette sets a range of palette values, of length len, starting at index number s. The index can be GGI_PALETTE_DONTCARE to indicate to indicate that the palette can be installed anywhere in the CLUT. This allows optimised use in windowing environments (to minimize color flashing between windows) and should be used if possible. ggiGetPalette copies the specified colors (starting from s, for len colors) from the visual's palette to the array pointed by cmap.

RETURN VALUE
ggiSetPalette returns the number of the first entry changed. Negative values indicate error. ggiGetPalette returns 0 for OK, otherwise an error code. When called with len=0 this function will not automatically succeed, but the return code will indicate whether there is a readable CLUT.

PALETTE IN GGI
Write something useful here.

SEE ALSO
ggiSetColorfulPalette(3)